GridEngine API

Ron Chen ron_chen_123 at
Fri Mar 28 23:24:30 PST 2003

One of the problems with GridEngine was the lack of a
high level API. Yes, there exists an API, but it is
too low level and application programmers who want to
use it also need to know some of the internals of SGE.

GridEngine recently provides a high level API that
confirms to the DRMAA 1.0 standard. PBS will also use
the same API. You can download the spec from:

Something more interesting! Platform throws away its
own API and joined the DRMAA camp.

The original LSF API is call NPi, see

The NPi site is now gone.


Do you Yahoo!?
Yahoo! Platinum - Watch CBS' NCAA March Madness, live on your desktop!

More information about the Beowulf mailing list